Package org.springframework.web.servlet.tags

# Class ThemeTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
org.springframework.web.servlet.tags.RequestContextAwareTag
org.springframework.web.servlet.tags.HtmlEscapingAwareTag
org.springframework.web.servlet.tags.MessageTag
org.springframework.web.servlet.tags.ThemeTag

All Implemented Interfaces:
  `IterationTag`, `JspTag`, `Tag`, `TryCatchFinally`, `Serializable`, `ArgumentAware`

@Deprecated(since="6.0") public class ThemeTag extends MessageTag
Deprecated.
as of 6.0, with no direct replacement
The `<theme>` tag looks up a theme message in the scope of this page. Messages are looked up using the ApplicationContext's ThemeSource, and thus should support internationalization.

Regards an HTML escaping setting, either on this tag instance, the page level, or the web.xml level.

If "code" isn't set or cannot be resolved, "text" will be used as default message.

Message arguments can be specified via the `arguments` attribute or by using nested `<spring:argument>` tags.

Attribute Summary
Attribute | Required? | Runtime Expression? | Description
--- | --- | --- | ---
arguments | false | true | Set optional message arguments for this tag, as a (comma-)delimited String (each String argument can contain JSP EL), an Object array (used as argument array), or a single Object (used as single argument).
argumentSeparator | false | true | The separator character to be used for splitting the arguments string value; defaults to a 'comma' (',').
code | false | true | The code (key) to use when looking up the message. If code is not provided, the text attribute will be used.
htmlEscape | false | true | Set HTML escaping for this tag, as boolean value. Overrides the default HTML escaping setting for the current page.
javaScriptEscape | false | true | Set JavaScript escaping for this tag, as boolean value. Default is `false`.
message | false | true | A MessageSourceResolvable argument (direct or through JSP EL).
scope | false | true | The scope to use when exporting the result to a variable. This attribute is only used when var is also set. Possible values are page, request, session and application.
text | false | true | Default text to output when a message for the given code could not be found. If both text and code are not set, the tag will output null.
var | false | true | The string to use when binding the result to the page, request, session or application scope. If not specified, the result gets outputted to the writer (i.e. typically directly to the JSP).

Author:
  Jean-Pierre Pawlak, Juergen Hoeller
See Also:
  - `Theme`
  - `ThemeSource`
  - `MessageTag.setCode(java.lang.String)`
  - `MessageTag.setText(java.lang.String)`
  - `HtmlEscapingAwareTag.setHtmlEscape(boolean)`
  - `HtmlEscapeTag.setDefaultHtmlEscape(boolean)`
  - `WebUtils.HTML_ESCAPE_CONTEXT_PARAM`
  - `ArgumentTag`
  - Serialized Form

## Field Summary

### Fields inherited from class org.springframework.web.servlet.tags.MessageTag

`DEFAULT_ARGUMENT_SEPARATOR`

### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`ThemeTag()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected org.springframework.context.MessageSource`
`getMessageSource()`
Deprecated.
Use the theme MessageSource for theme message resolution.
`protected String`
`getNoSuchMessageExceptionDescription(org.springframework.context.NoSuchMessageException ex)`
Deprecated.
Return exception message that indicates the current theme.

### Methods inherited from class org.springframework.web.servlet.tags.MessageTag

`addArgument, doEndTag, doStartTagInternal, release, resolveArguments, resolveMessage, setArguments, setArgumentSeparator, setCode, setJavaScriptEscape, setMessage, setScope, setText, setVar, writeMessage`

### Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag

`htmlEscape, isDefaultHtmlEscape, isHtmlEscape, isResponseEncodedHtmlEscape, setHtmlEscape`

### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`doCatch, doFinally, doStartTag, getRequestContext`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThemeTag

public ThemeTag()
Deprecated.

## Method Details

### getMessageSource

protected org.springframework.context.MessageSource getMessageSource()
Deprecated.
Use the theme MessageSource for theme message resolution.

Overrides:
  `getMessageSource` in class `MessageTag`

### getNoSuchMessageExceptionDescription

protected String getNoSuchMessageExceptionDescription(org.springframework.context.NoSuchMessageException ex)
Deprecated.
Return exception message that indicates the current theme.

Overrides:
  `getNoSuchMessageExceptionDescription` in class `MessageTag`